/******************************************************************************
*
*  GENERAL STUFF
*
*******************************************************************************/

html {
  line-height: 1.5;
  overflow: hidden;
  overscroll-behavior-x: none;
  font-family: Helvetica, Verdana, Arial, sans-serif !important;
}

:root {
  --foreground-rgb: 0, 0, 0;
  --background-start-rgb: 214, 219, 220;
  --background-end-rgb: 255, 255, 255;
}

@media (prefers-color-scheme: dark) {
  :root {
    --foreground-rgb: 255, 255, 255;
    --background-start-rgb: 0, 0, 0;
    --background-end-rgb: 0, 0, 0;
  }
}

body {
  color: rgb(var(--foreground-rgb));
  background: linear-gradient(
      to bottom,
      transparent,
      rgb(var(--background-end-rgb))
    )
    rgb(var(--background-start-rgb));

  user-select: none;
  -webkit-user-select: none;
  -ms-user-select: none;
  
  overscroll-behavior-x: none;
  font-family: Helvetica, Verdana, Arial, sans-serif !important;
  
  zoom: 100%;
}

@media only screen and (max-width: 1550px) {
  body {
    zoom: 70% !important;
  }
}

@media only screen and (min-width: 1551px) and (max-width: 1750px) {
  body {
    zoom: 80% !important;
  }
}


@media only screen and (min-width: 1751px) and (max-width: 2000px) {
  body {
    zoom: 90% !important;
  }
}






*, ::before, ::after {
  box-sizing: border-box;
  font-family: Helvetica, Verdana, Arial, sans-serif !important;
}


button {
  cursor: pointer;
  border: none;
  font-size: 100%;
  background-color: transparent;
  line-height: 1.6;
}

/* button:not(:disabled):hover {
  opacity: 0.9;
} */

a {
  color: inherit;
  text-decoration: inherit;
}

blockquote, dl, dd, h1, h2, h3, h4, h5, h6, hr, figure, p, pre {
  margin: 0;
}

ol, ul, menu {
  list-style: none;
  margin: 0;
  padding: 0;
}

img, video {
  max-width: 100%;
  height: auto;
}

h1, h2, h3, h4, h5, h6 {
  font-weight: 450;
  color: #fff;
}



.clearfix {
  clear: both;
}

.main-wrapper {
  background-color: #666 !important;
  overflow: hidden;
}




/******************************************************************************
*
*  HEADER
*
*******************************************************************************/

.main-header {
  position: absolute;
  top: 0px;
  left: 0px;
  right: 0px;
  height: 100px;
  background-color: #000;
  padding-top: 20px;
  padding-bottom: 20px;
  box-shadow: 0px 0px 5px 4px rgba(0,0,0,0.25);
  -webkit-box-shadow: 0px 0px 5px 4px rgba(0,0,0,0.25);
  -moz-box-shadow: 0px 0px 5px 4px rgba(0,0,0,0.25);
}

.main-header h1 {
  font-weight: 800;
  font-size: 28px;
}

.main-header h3 {
  font-weight: 500;
  font-size: 18px;
  font-variant: small-caps;
  margin-top: -8px;
  color: #ccc
}

.main-header-wrapper {
  margin: auto;
  position: relative;
  max-width: calc(1600px + 300px + 3vw) !important;
  height: 100%;
  padding-left: 1vw;
}

.main-header-wrapper-2 {
  position: relative;
  margin-left: 10vw;
  margin-right: 10vw;
  width: 80%;
  height: 100%;
}

.header-logo {
  position: relative;
  top: 50%;
  transform: translateY(-50%);
  cursor: pointer;
  background-color: #222;
  -webkit-animation: blur 2.5s linear forwards;
  -moz-animation: blur 2.5s linear forwards;
  -ms-animation: blur 2.5s linear forwards;
  -o-animation: blur 2.5s linear forwards;
  animation: blur 2.5s linear forwards;
  border: 1px solid white;
  width: fit-content;
  height: fit-content;
  padding: 4px 10px;
  border-radius: 8px;
  transition-duration: 1s !important;
}

.header-logo:hover {
  -webkit-filter: blur(0.5px) !important;
  -moz-filter: blur(0.5px) !important;
  filter: blur(0.5px) !important;
}

@-webkit-keyframes blur {
  from {
    -webkit-filter: blur(2px);
    -moz-filter: blur(2px);
    filter: blur(2px);
  }
  to {
    -webkit-filter: blur(0px);
    -moz-filter: blur(0px);
    filter: blur(0px);
  }
}
@-moz-keyframes blur {
  from {
    -webkit-filter: blur(2px);
    -moz-filter: blur(2px);
    filter: blur(2px);
  }
  to {
    -webkit-filter: blur(0px);
    -moz-filter: blur(0px);
    filter: blur(0px);
  }
}
@keyframes blur {
  from {
    -webkit-filter: blur(2px);
    -moz-filter: blur(2px);
    filter: blur(2px);
  }
  to {
    -webkit-filter: blur(0px);
    -moz-filter: blur(0px);
    filter: blur(0px);
  }
}



/******************************************************************************
*
*  DARK PATTERN CONTAINER
*
*******************************************************************************/

.dpContainerActive:not(:has(.dpContainerActive:hover)):not(.dpContainerSelected):hover {
  background-color: red !important;
  /* backdrop-filter: brightness(0) saturate(100%) invert(28%) sepia(86%) saturate(7225%) hue-rotate(355deg) brightness(100%) contrast(122%) opacity(100%); */
}

.dpContainerActive:not(:has(.dpContainerActive:hover)):not(.dpContainerSelected):hover *::not(span, .noDarkPatternHighlight) {
  background-color: red !important;
  /* backdrop-filter: brightness(0) saturate(100%) invert(28%) sepia(86%) saturate(7225%) hue-rotate(355deg) brightness(100%) contrast(122%) opacity(100%); */
}


.dpContainerSelected {
  background-color: rgb(210, 0, 0) !important;
  /* backdrop-filter: brightness(0) saturate(100%) invert(28%) sepia(86%) saturate(7225%) hue-rotate(355deg) brightness(100%) contrast(122%) opacity(100%) !important; */
}

.dpContainerSelected *::not(span, .noDarkPatternHighlight) {
  background-color: rgb(210, 0, 0) !important;
  /* backdrop-filter: brightness(0) saturate(100%) invert(28%) sepia(86%) saturate(7225%) hue-rotate(355deg) brightness(100%) contrast(122%) opacity(100%) !important; */
}



/******************************************************************************
*
*  DARK PATTERN CLASSIFICATION RESULTS
*
*******************************************************************************/

.dpCorrect {
  position: relative;
  z-index: 0;

  &::after {
    content: '';
    z-index: -1;

    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;

    background: repeating-linear-gradient(
      -45deg,
      transparent,
      transparent 5px,
      rgba(32, 148, 32, 0.5) 5px,
      rgba(32, 148, 32, 0.5) 10px
    ) !important;

    border: 1px solid rgba(32, 148, 32, 0.5);
    overflow: hidden;
    border-radius: inherit;
  }
}

.dpIncorrect {
  position: relative;
  z-index: 0;

  &::after {
    content: '';
    z-index: -1;

    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;

    background: repeating-linear-gradient(
      -45deg,
      transparent,
      transparent 5px,
      rgba(255, 45, 45, 0.5) 5px,
      rgba(255, 45, 45, 0.5) 10px
    ) !important;

    border: 1px solid rgba(255, 45, 45, 0.5);
    overflow: hidden;
    border-radius: inherit;
  }
}


.dpPartlyCorrect {
  position: relative;
  z-index: 0;

  &::after {
    content: '';
    z-index: -1;

    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;

    background: repeating-linear-gradient(
      -45deg,
      transparent,
      transparent 5px,
      rgba(255, 225, 0, 0.5) 5px,
      rgba(255, 225, 0, 0.5) 10px
    ) !important;

    border: 1px solid rgba(255, 225, 0, 0.5);
    overflow: hidden;
    border-radius: inherit;
  }
}

.dpMissing {
  position: relative;
  z-index: 0;

  &::after {
    content: '';
    z-index: -1;

    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    
    background: repeating-linear-gradient(
      45deg,
      rgba(255, 255, 0, 0.5),
      rgba(255, 255, 0, 0.5) 5px,
      rgba(255, 45, 45, 0.5) 5px,
      rgba(255, 45, 45, 0.5) 10px
    ) !important;

    border: 1px solid rgba(255, 45, 45, 0.5);
    overflow: hidden;
    border-radius: inherit;
  }
}



.dpExplanation {
  position: relative;
  cursor: help !important;

  &::before {
    content: attr(custom-dp);

    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;

    background-color: rgba(0,0,0,0.85);
    color: #fff;
    font-size: 11px !important;
    font-weight: 500;
    text-align: center;
    
    display: flex;
    justify-content: center;
    align-items: center;

    overflow: hidden;
    border-radius: inherit;

    opacity: 0;
    transition: 0.2s opacity;
  }
}

.dpExplanation:hover:not(:has(.dpExplanation:hover))::before {
  opacity: 1;
}



.dpClassifyCorrect {
  border: 1px solid rgba(32, 148, 32, 0.5);

  box-shadow: 0px 0px 5px 4px rgba(32, 148, 32, 0.25) !important;
  -webkit-box-shadow: 0px 0px 5px 4px rgba(32, 148, 32, 0.25) !important;
  -moz-box-shadow: 0px 0px 5px 4px rgba(32, 148, 32, 0.25) !important;
}

.dpClassifyPartlyCorrect {
  border: 1px solid rgba(255, 225, 0, 0.5);

  box-shadow: 0px 0px 5px 4px rgba(255, 225, 0, 0.25) !important;
  -webkit-box-shadow: 0px 0px 5px 4px rgba(255, 225, 0, 0.25) !important;
  -moz-box-shadow: 0px 0px 5px 4px rgba(255, 225, 0, 0.25) !important;
}

.dpClassifyIncorrect {
  border: 1px solid rgba(255, 45, 45, 0.5);

  box-shadow: 0px 0px 5px 4px rgba(255, 45, 45, 0.5) !important;
  -webkit-box-shadow: 0px 0px 5px 4px rgba(255, 45, 45, 0.5) !important;
  -moz-box-shadow: 0px 0px 5px 4px rgba(255, 45, 45, 0.5) !important;
}


/******************************************************************************
*
*  DARK PATTERN EXPLANATION TOOLTIP
*
*******************************************************************************/

.tooltip {
  cursor: help !important;
  overflow: visible !important;
  position: relative;
}

.tooltip:hover::after {
  display: block;
  visibility: visible !important;
  opacity: 1 !important;

  content: attr(data-text);
  position: absolute;

  width: auto;
  min-width: 200px !important;
  max-width: 300px !important;
  height: auto;

  padding: 4px 12px;
  border-radius: 6px;

  background:#111;
  color: white;

  font-size: 14px !important;
  font-weight: 500;
  text-align: center;
}


.tooltip::after, .tooltip.leftTooltip::after {
  top: 50%;
  left: 100%;
  transform: translateY(-50%);
  margin-left: 5px;
}

.tooltip.topTooltip::after {
  top: 0%;
  left: 50%;
  transform: translateY(-100%) translateX(-50%);
  margin-top: -5px;
  margin-left: 0px;
}

.tooltip.bottomTooltip::after {
  top: 100%;
  left: 50%;
  transform: translateY(0%) translateX(-50%);
  margin-top: 5px;
  margin-left: 0px;
}

.tooltip.rightTooltip::after {
  top: 50%;
  left: 0%;
  transform: translateY(-50%) translateX(-100%);
  margin-left: -5px;
}